# miniproxy

A very simple HTTP proxy with HMAC authentication.

## Usage

Configure the proxy via `config.toml` at either the current working directory or `/etc/miniproxy/config.toml`:

```toml
port = 8080 # The port to run on
secret = "HelloWorld" # The secret for performing the HMAC calculation
```

You can then use `http://<ip>:<port>/proxy/<HMAC>/<URL>` to aquire `<URL>` using the proxy. Note that
both the HMAC must be base64 encoded and then URL encoded. The `<URL>` must also be URL encoded. The
URL encoding must also apply to the slash character ("/").

## License

See `./LICENSE`